Re: ASM library not compatible with plexus-java:0.9.3 in Maven build

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: ASM library not compatible with plexus-java:0.9.3 in Maven build

Christian Stein
Nit: plexus-java:0.9.7 refers to ASM 6.1 which was superseded by ASM 6.1.1

So, an upgrade to ASM 6.1.1 in plexus-java:0.9.8 would be great as that
version [1] fixed two bugs in ClassReader.

[1] http://asm.ow2.io/versions.html
Reply | Threaded
Open this post in threaded view
|

Re: ASM library not compatible with plexus-java:0.9.3 in Maven build

Karl Heinz Marbaise-3
Hi,

On 07/05/18 10:23, Christian Stein wrote:
> Nit: plexus-java:0.9.7 refers to ASM 6.1 which was superseded by ASM 6.1.1
>
> So, an upgrade to ASM 6.1.1 in plexus-java:0.9.8 would be great as that
> version [1] fixed two bugs in ClassReader.
>
> [1] http://asm.ow2.io/versions.html


Created issue[1] for this update and upgrade already..
I hope I can do a release of this in the evening...

Kind regards
Karl Heinz Marbaise

[1]: https://github.com/codehaus-plexus/plexus-languages/issues/12

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: ASM library not compatible with plexus-java:0.9.3 in Maven build

Tibor Digana-2
@Karl, thx that you will release new plexus-java:0.9.8.
@Christian, yesterday I came late, but I concentrated on permanent issue on
Windows Jenkins nodes. The issues is that java compiles won't compile and I
guess it is again because on windows paths. The problem appears only on
windows-2012-3. I am doing some tricks to short the paths in the workspace.
Let's see if it helps.

On Mon, May 7, 2018 at 10:39 AM, Karl Heinz Marbaise <[hidden email]>
wrote:

> Hi,
>
>
> On 07/05/18 10:23, Christian Stein wrote:
>
>> Nit: plexus-java:0.9.7 refers to ASM 6.1 which was superseded by ASM 6.1.1
>>
>> So, an upgrade to ASM 6.1.1 in plexus-java:0.9.8 would be great as that
>> version [1] fixed two bugs in ClassReader.
>>
>> [1] http://asm.ow2.io/versions.html
>>
>
>
> Created issue[1] for this update and upgrade already..
> I hope I can do a release of this in the evening...
>
> Kind regards
> Karl Heinz Marbaise
>
> [1]: https://github.com/codehaus-plexus/plexus-languages/issues/12
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>


--
Cheers
Tibor
Reply | Threaded
Open this post in threaded view
|

Re: ASM library not compatible with plexus-java:0.9.3 in Maven build

Karl Heinz Marbaise-3
In reply to this post by Karl Heinz Marbaise-3
Hi,

Release plexus-java 0.9.8...

now available via Maven Central..

Kind regards
Karl Heinz Marbaise
On 07/05/18 10:39, Karl Heinz Marbaise wrote:

> Hi,
>
> On 07/05/18 10:23, Christian Stein wrote:
>> Nit: plexus-java:0.9.7 refers to ASM 6.1 which was superseded by ASM
>> 6.1.1
>>
>> So, an upgrade to ASM 6.1.1 in plexus-java:0.9.8 would be great as that
>> version [1] fixed two bugs in ClassReader.
>>
>> [1] http://asm.ow2.io/versions.html
>
>
> Created issue[1] for this update and upgrade already..
> I hope I can do a release of this in the evening...
>
> Kind regards
> Karl Heinz Marbaise
>
> [1]: https://github.com/codehaus-plexus/plexus-languages/issues/12

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]